---
title: Pomocník pro import rozpisů z fotbal.cz do STM
---

<p>Jen si to představte zítra začíná nová fotbalová sezóna a vy ještě nemáte rozpisy pro vaše 3 týmy v STM. Určitě bych se nevydával cestou individuálního vkládání každého zápasu.  Přeci jen třeba pro 14 týmů je to 182 zápasů. Díky nechci. Právě proto STM obsahuje možnost <a href="<%= webPrefix %>/help/module/import.html">importu</a> (nejen) zápasů. Ale tam potřebujete definovat formát a pak mít jistotu, že na každém řádku importovaných dat se nachází jeden zápas s platnými údaji.</p>

<p>Další představení pluginu už provedu na konkrétním příkladu a mém postupu z předchozího roku, kdy ještě neexistoval pomocník pro import rozpisu. Chci importovat <a href="http://nv.fotbal.cz/domaci-souteze/kao/pardubicky/souteze.asp?soutez=530A2A&show=Los" style="font-size: 14px; line-height: 1.4em;" target="_blank">rozpis 1.A třídy</a>, takže si tu tabulku se zápasy zkopíruji do textového souboru. Sloupce jsou oddělené tabulátorem, takže s tím problém nebude, ale při bližším pohledu se začnou vynořovat další problémy:</p>

<ul>
	<li>v termínech konání není rok, takže import data v STM selže,</li>
	<li>některé zápasy ani nemají nastavené datum zápasu,</li>
	<li>jména týmů nesedí se jmény v STM,</li>
	<li>zbytečné znaky obklopující číslo kola.</li>
</ul>

<p>Nejsou to neřešitelné problémy, ale z osobní zkušenosti vím, že u oprav dá strávit pěkných pár minut. Škoda jich, proto přichází první verze pomocníka importu zápasů z fotbal.cz, aby vám import rozpisu nezabral více než pár sekund.</p>

<h2>Průběh import rozpisu s pomocníkem</h2>

<ol>
    <li><a href="https://gitlab.com/zdenekdrahos-upce/stm/import-fotbalcz/blob/master/index.php">Vložím adresu rozpis z fotbal.cz, upřesním jména týmů a náhrady neplatných termínů</a></li>
	<li>Zkopíruji si vytvořené texty do importu v STM a provedu import zápasů a mám hotovo.</li>
</ol>

<h2 class="clear">Pár poznámek ke stahování rozpisu</h2>
<p>Rozpis je stažen pouze jednou. Takže i pokud zkusíte importovat rozpis někdy jindy, tak datum stažení rozpisu bude
    pořád stejné jako když jste vy (nebo někdo jiný) ten rozpis poprvé stáhli. Pokud by došlo v rozpisu ke změně
    a Vám to tak bránilo v importu, tak do komentářů vložte odkaz na rozpis a já smažu jeho soubor, aby mohl být
    znovu stažen.
</p>